summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/binary-file-matches
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
commit29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc (patch)
tree63ef546b10a81d461e5cf5ed9e98a68cd7dee1aa /src/grep/tests/binary-file-matches
parentInitial commit. (diff)
downloadkbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.tar.xz
kbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.zip
Adding upstream version 1:0.1.9998svn3589+dfsg.upstream/1%0.1.9998svn3589+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/grep/tests/binary-file-matches')
-rwxr-xr-xsrc/grep/tests/binary-file-matches21
1 files changed, 21 insertions, 0 deletions
diff --git a/src/grep/tests/binary-file-matches b/src/grep/tests/binary-file-matches
new file mode 100755
index 0000000..7fc4a11
--- /dev/null
+++ b/src/grep/tests/binary-file-matches
@@ -0,0 +1,21 @@
+#! /bin/sh
+# Test for the "binary file ... matches" diagnostic.
+#
+# Copyright (C) 2020-2021 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+echo "grep: (standard input): binary file matches" > exp \
+ || framework_failure_
+
+printf 'a\0' | grep a > out 2> err || fail=1
+compare /dev/null out || fail=1
+compare exp err || fail=1
+
+Exit $fail